> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve webhook stats

> Retrieve webhook stats



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /webhooks/metrics/stats
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /webhooks/metrics/stats:
    parameters: []
    get:
      tags:
        - Metrics
      summary: Retrieve webhook stats
      description: Retrieve webhook stats
      operationId: get-webhook-metrics
      parameters:
        - name: date_from
          in: query
          description: start datetime
          required: true
          schema:
            type: string
            format: date-time
        - name: date_to
          in: query
          description: end datetime
          required: true
          schema:
            type: string
            format: date-time
        - name: interval
          in: query
          description: for aggregating data
          required: true
          schema:
            type: string
            enum:
              - hour
              - day
              - week
              - month
      responses:
        '200':
          description: Webhook stats retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                  - content
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  content:
                    properties:
                      stats:
                        type: array
                        items:
                          type: object
                          required:
                            - date
                            - metrics
                          properties:
                            date:
                              type: string
                              format: date-time
                            metrics:
                              $ref: '#/components/schemas/WebhookStats'
                      lifetime_stats:
                        $ref: '#/components/schemas/WebhookStats'
                    required:
                      - stats
                      - lifetime_stats
                    type: object
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    WebhookStats:
      title: WebhookStats
      type: object
      required:
        - delivered
        - delivered_in_first_attempt
        - delivered_in_second_attempt
        - delivered_in_third_attempt
        - delivered_in_fourth_attempt
        - failed
        - total_deliveries
        - total_events
        - average_latency
        - p50_latency
        - p75_latency
        - p95_latency
      properties:
        delivered:
          type: integer
        delivered_in_first_attempt:
          type: integer
        delivered_in_second_attempt:
          type: integer
        delivered_in_third_attempt:
          type: integer
        delivered_in_fourth_attempt:
          type: integer
        failed:
          type: integer
        total_deliveries:
          type: integer
        total_events:
          type: integer
        average_latency:
          type: number
        p50_latency:
          type: number
        p75_latency:
          type: number
        p95_latency:
          type: number
      x-tags:
        - Webhooks
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not authorized for given operation on the Resource.
              success:
                type: boolean
                default: false
              code:
                type: string
                example: unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````